MPI_Info_get_nkeys(3)

NAME
MPI_Info_get_nkeys - Returns the number of currently defined keys in info

SYNOPSIS
#include "mpi.h"
int MPI_Info_get_nkeys(MPI_Info info, int *nkeys)

INPUT PARAMETERS
info
    - info object (handle)

OUTPUT PARAMETERS
nkeys
    - number of defined keys (integer)

NOTES FOR FORTRAN
All MPI routines in Fortran (except for MPI_WTIME and MPI_WTICK ) have an additional argument ierr at the end of the argument list. ierr is an integer and has the same meaning as the return value of the routine in C. In Fortran, MPI routines are subroutines, and are invoked with the call statement. All MPI objects (e.g., MPI_Datatype , MPI_Comm ) are of type INTEGER in Fortran.

LOCATION
info_getnks.c